#!/bin/sh
#
# Copyright (c) 2004 Mathieu Roy <yeupou@gnu.org>
# http://yeupou.coleumes.org
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#   USA
#
# $Id: integcheck-run.sh,v 1.1 2004/01/25 11:24:26 yeupou Exp $
#
# Part of integcheck, http://gna.org/projects/integcheck
#
# this script will send a mail, even if there is no change. It is important
# to know that the script run.

. /etc/integcheck.conf

if [ ! "$HOSTS_TO_CHECK" ]; then echo "No host to check, exiting!" && exit ; fi
if [ ! "$DIR" ]; then echo "No home directory configured, exiting!" && exit ; fi
today=`date +%Y-%m-%d`
yesterday=`date +%Y-%m-%d --date '1 day ago'`
tooold=`date +%Y-%m-%d --date '15 days ago'`

for host in $HOSTS_TO_CHECK; do
    echo "========================================================"
    echo "Integcheck ssh login/logout:"
    ssh $host > $DIR/$host/$today 
    echo " "
    echo "Integcheck result for $host:"
    integcheck-compare --current-list $DIR/$host/$today --previous-list  $DIR/$host/$yesterday
    echo "End of the integcheck result for $host."
    echo "========================================================"
    echo " "
    # remove md5sums of 15 days old
    rm -f $DIR/$host/$tooold
done
